Skip to main content
GET
/
api
/
v1
/
schedules
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/schedules
[
  {
    "scheduleId": "curator-hourly",
    "info": {
      "spec": {
        "cronExpressions": ["0 * * * *"]
      },
      "workflowType": {
        "name": "CuratorWorkflow"
      },
      "paused": false
    }
  },
  {
    "scheduleId": "janitor-daily",
    "info": {
      "spec": {
        "cronExpressions": ["0 2 * * *"]
      },
      "workflowType": {
        "name": "JanitorWorkflow"
      },
      "paused": false
    }
  }
]
List all configured workflow schedules for your instance. Returns an array of schedule summaries including their cron expressions, associated workflow types, and paused state.
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/schedules
[
  {
    "scheduleId": "curator-hourly",
    "info": {
      "spec": {
        "cronExpressions": ["0 * * * *"]
      },
      "workflowType": {
        "name": "CuratorWorkflow"
      },
      "paused": false
    }
  },
  {
    "scheduleId": "janitor-daily",
    "info": {
      "spec": {
        "cronExpressions": ["0 2 * * *"]
      },
      "workflowType": {
        "name": "JanitorWorkflow"
      },
      "paused": false
    }
  }
]